Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.android
Class AndroidUpnpServiceImpl

    java.lang.Object
      android.content.Context
          android.content.ContextWrapper
              android.app.Service
                  org.teleal.cling.android.AndroidUpnpServiceImpl

All Implemented Interfaces:
  android.content.ComponentCallbacks

    public class AndroidUpnpServiceImpl

extends android.app.Service

Provides a UPnP stack with Android configuration (WiFi network only) as an application service component.

Sends a search for all UPnP devices on instantiation. See the `AndroidUpnpService` interface for a usage example.

Override the `createRouter(org.teleal.cling.UpnpServiceConfiguration, org.teleal.cling.protocol.ProtocolFactory, android.net.wifi.WifiManager, android.net.ConnectivityManager)` and `createConfiguration(android.net.wifi.WifiManager)` methods to customize the service.

Author:
  Christian Bauer

Nested Class Summary
`protected class` | `AndroidUpnpServiceImpl.Binder`

Field Summary
`protected AndroidUpnpServiceImpl.Binder` | `binder`
`protected UpnpService` | `upnpService`

Fields inherited from class android.app.Service
`START_CONTINUATION_MASK, START_FLAG_REDELIVERY, START_FLAG_RETRY, START_NOT_STICKY, START_REDELIVER_INTENT, START_STICKY, START_STICKY_COMPATIBILITY`

Fields inherited from class android.content.Context
`ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, AUDIO_SERVICE, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, CLIPBOARD_SERVICE, CONNECTIVITY_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, INPUT_METHOD_SERVICE, KEYGUARD_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MODE_APPEND, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NOTIFICATION_SERVICE, POWER_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, TELEPHONY_SERVICE, VIBRATOR_SERVICE, WALLPAPER_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

Constructor Summary
`AndroidUpnpServiceImpl()`

Method Summary
`protected AndroidUpnpServiceConfiguration` | `createConfiguration(android.net.wifi.WifiManager wifiManager)`
`protected AndroidWifiSwitchableRouter` | `createRouter(UpnpServiceConfiguration configuration, ProtocolFactory protocolFactory, android.net.wifi.WifiManager wifiManager, android.net.ConnectivityManager connectivityManager)`
`protected boolean` | `isListeningForConnectivityChanges()`
`android.os.IBinder` | `onBind(android.content.Intent intent)`
`void` | `onCreate()`
`void` | `onDestroy()`

Methods inherited from class android.app.Service
`dump, finalize, getApplication, onConfigurationChanged, onLowMemory, onRebind, onStart, onStartCommand, onUnbind, setForeground, startForeground, stopForeground, stopSelf, stopSelf, stopSelfResult`

Methods inherited from class android.content.ContextWrapper
`attachBaseContext, bindService, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkUriPermission, checkUriPermission, clearWallpaper, createPackageContext, databaseList, deleteDatabase, deleteFile, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAssets, getBaseContext, getCacheDir, getClassLoader, getContentResolver, getDatabasePath, getDir, getFilesDir, getFileStreamPath, getMainLooper, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getResources, getSharedPreferences, getSystemService, getTheme, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isRestricted, openFileInput, openFileOutput, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, removeStickyBroadcast, revokeUriPermission, sendBroadcast, sendBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendStickyBroadcast, sendStickyOrderedBroadcast, setTheme, setWallpaper, setWallpaper, startActivity, startInstrumentation, startIntentSender, startService, stopService, unbindService, unregisterReceiver`

Methods inherited from class android.content.Context
`getString, getString, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### upnpService

    protected UpnpService upnpService

### binder

    protected AndroidUpnpServiceImpl.Binder binder

Constructor Detail

### AndroidUpnpServiceImpl

    public AndroidUpnpServiceImpl()

Method Detail

### onCreate

    public void onCreate()

  Overrides:
    `onCreate` in class `android.app.Service`

### createConfiguration

    protected AndroidUpnpServiceConfiguration createConfiguration(android.net.wifi.WifiManager wifiManager)

### createRouter

    protected AndroidWifiSwitchableRouter createRouter(UpnpServiceConfiguration configuration,
                                                       ProtocolFactory protocolFactory,
                                                       android.net.wifi.WifiManager wifiManager,
                                                       android.net.ConnectivityManager connectivityManager)

### onDestroy

    public void onDestroy()

  Overrides:
    `onDestroy` in class `android.app.Service`

### onBind

    public android.os.IBinder onBind(android.content.Intent intent)

  Specified by:
    `onBind` in class `android.app.Service`

### isListeningForConnectivityChanges

    protected boolean isListeningForConnectivityChanges()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.